Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Class RecurrenceTypeEnum

    java.lang.Object
      com.compoze.collab.CollabEnum
          com.compoze.collab.exchange.RecurrenceTypeEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class RecurrenceTypeEnum
extends CollabEnum
implements java.io.Serializable

This class is used to represent the type of recurrence that a recurrence pattern has. The enumeration class that contains `RecurrenceType` elements.

See Also:
  Serialized Form

Field Summary
`static RecurrenceType` | `DAILY` Indicates a pattern that occurs every day.
`static RecurrenceType` | `MONTHLY` Indicates a pattern that occurs every month.
`static RecurrenceType` | `MONTHLY_NTH` Indicates a pattern that occurs every month.
`static RecurrenceType` | `NONE` Indicates that there is no recurrence pattern.
`static int` | `NUM_ELEMENTS`
`static int` | `VALUE_DAILY`
`static int` | `VALUE_MONTHLY`
`static int` | `VALUE_MONTHLY_NTH`
`static int` | `VALUE_NONE`
`static int` | `VALUE_WEEKLY`
`static int` | `VALUE_YEARLY`
`static int` | `VALUE_YEARLY_NTH`
`static RecurrenceType` | `WEEKLY` Indicates a pattern that occurs every week.
`static RecurrenceType` | `YEARLY` Indicates a pattern that occurs every year.
`static RecurrenceType` | `YEARLY_NTH` Indicates a pattern that occurs every year.

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `RecurrenceTypeEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `RecurrenceTypeEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_NONE

    public static final int VALUE_NONE

See Also:
  Constant Field Values

### VALUE_DAILY

    public static final int VALUE_DAILY

See Also:
  Constant Field Values

### VALUE_WEEKLY

    public static final int VALUE_WEEKLY

See Also:
  Constant Field Values

### VALUE_MONTHLY

    public static final int VALUE_MONTHLY

See Also:
  Constant Field Values

### VALUE_MONTHLY_NTH

    public static final int VALUE_MONTHLY_NTH

See Also:
  Constant Field Values

### VALUE_YEARLY

    public static final int VALUE_YEARLY

See Also:
  Constant Field Values

### VALUE_YEARLY_NTH

    public static final int VALUE_YEARLY_NTH

See Also:
  Constant Field Values

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

See Also:
  Constant Field Values

### NONE

    public static final RecurrenceType NONE

  Indicates that there is no recurrence pattern.

### DAILY

    public static final RecurrenceType DAILY

  Indicates a pattern that occurs every day.

### WEEKLY

    public static final RecurrenceType WEEKLY

  Indicates a pattern that occurs every week.

### MONTHLY

    public static final RecurrenceType MONTHLY

  Indicates a pattern that occurs every month.

### MONTHLY_NTH

    public static final RecurrenceType MONTHLY_NTH

  Indicates a pattern that occurs every month.

### YEARLY

    public static final RecurrenceType YEARLY

  Indicates a pattern that occurs every year.

### YEARLY_NTH

    public static final RecurrenceType YEARLY_NTH

  Indicates a pattern that occurs every year.

Constructor Detail

### RecurrenceTypeEnum

    protected RecurrenceTypeEnum(java.lang.Class elementClass,
                                 int iNumElements,
                                 com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                 EnumElement defaultElement,
                                 java.lang.String sInternalName,
                                 boolean bMaskable)

  Constructor.

### RecurrenceTypeEnum

    protected RecurrenceTypeEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.